#
# spec file for package mysql-connector-cpp
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           mysql-connector-cpp
Summary:        MySQL Connector/C++: Standardized database driver for C++ development
License:        SUSE-GPL-2.0-with-FLOSS-exception
Group:          Development/Libraries/C and C++
Version:        1.1.0
Release:        2.19
Url:            http://dev.mysql.com/downloads/connector/
#               http://dev.mysql.com/get/Downloads/Connector-C%2B%2B/mysql-connector-c%2B%2B-%{version}.tar.gz
Source:         mysql-connector-c++-%{version}.tar.bz2
# PATCH-SUSE-INTEGRATION - mysql-connector-cpp-1.0.4-beta-cmake-paths-fix.patch [] mhrusecky@suse.cz -- adjust some default paths
Patch0:         mysql-connector-cpp-1.1.0-cmake-paths-fix.patch
# PATCH-UPSTREAM-FIX - mysql-connector-cpp-1.0.4-beta-gcc44.patch [ upstream#44931 ] mhrusecky@suse.cz -- adding missing includes
# http://bugs.mysql.com/44931
Patch1:         mysql-connector-cpp-1.1.0-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libmysqlclient-devel

%description
MySQL Connector/C++ is a MySQL database connector for C++ development. The
MySQL driver for C++ can be used to connect to MySQL from C++ applications. The
driver mimics the JDBC 4.0 API. It implements a significant subset of JDBC 4.0. 

The Driver for C++ is designed to work best with MySQL 5.1 or later. Note - its
full functionality is not available when connecting to MySQL 5.0. You cannot
connect to MySQL 4.1 or earlier.

Using MySQL Connector/C++ instead of the MySQL C API (MySQL Client Library)
offers the following advantages for C++ users:

    * Convenience of pure C++ - no C function calls
    * Support of a well designed API - JDBC 4.0
    * Support of a commonly known and well documented API - JDBC 4.0
    * Support of the object oriented programming paradigma
    * Shorter development times 

%package -n libmysqlcppconn-devel
Requires:       libmysqlcppconn5 = %{version}
Summary:        Development files for MySQL Connector/C++
Group:          Development/Libraries/C and C++

%description -n libmysqlcppconn-devel
MySQL Connector/C++ is a MySQL database connector for C++ development. The
MySQL driver for C++ can be used to connect to MySQL from C++ applications. The
driver mimics the JDBC 4.0 API. It implements a significant subset of JDBC 4.0. 

The Driver for C++ is designed to work best with MySQL 5.1 or later. Note - its
full functionality is not available when connecting to MySQL 5.0. You cannot
connect to MySQL 4.1 or earlier.

Using MySQL Connector/C++ instead of the MySQL C API (MySQL Client Library)
offers the following advantages for C++ users:

    * Convenience of pure C++ - no C function calls
    * Support of a well designed API - JDBC 4.0
    * Support of a commonly known and well documented API - JDBC 4.0
    * Support of the object oriented programming paradigma
    * Shorter development times 

%package -n libmysqlcppconn5
Summary:        MySQL Connector/C++: Standardized database driver for C++ development
Group:          Development/Libraries/C and C++

%description -n libmysqlcppconn5
MySQL Connector/C++ is a MySQL database connector for C++ development. The
MySQL driver for C++ can be used to connect to MySQL from C++ applications. The
driver mimics the JDBC 4.0 API. It implements a significant subset of JDBC 4.0. 

The Driver for C++ is designed to work best with MySQL 5.1 or later. Note - its
full functionality is not available when connecting to MySQL 5.0. You cannot
connect to MySQL 4.1 or earlier.

Using MySQL Connector/C++ instead of the MySQL C API (MySQL Client Library)
offers the following advantages for C++ users:

    * Convenience of pure C++ - no C function calls
    * Support of a well designed API - JDBC 4.0
    * Support of a commonly known and well documented API - JDBC 4.0
    * Support of the object oriented programming paradigma
    * Shorter development times 

%prep
%setup -n mysql-connector-c++-%{version}
%patch0
%patch1

%build
cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIB_DIR=`basename %{_libdir}`
make %{?jobs:-j%jobs} LIBDIR=%{_libdir}

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/libmysqlcppconn-static.a
rm -f %{buildroot}/usr/[A-Z]*

%clean
rm -rf %{buildroot}

%post -n libmysqlcppconn5 -p /sbin/ldconfig

%postun -n libmysqlcppconn5 -p /sbin/ldconfig

%files -n libmysqlcppconn-devel
%defattr(-,root,root)
%doc README ANNOUNCEMENT COPYING CHANGES
/usr/include/mysql-connector
%{_libdir}/*.so

%files -n libmysqlcppconn5
%defattr(-,root,root)
%{_libdir}/*.so.*

%changelog
* Wed Jan 18 2012 cdenicolo@suse.com
- license update: SUSE-GPL-2.0-with-FLOSS-exception
  GPL has FLOSS exception.
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Thu Jun  2 2011 mhrusecky@suse.cz
- updated to version 1.1.0, see
  http://forge.mysql.com/wiki/Connector_C%%2B%%2B#MySQL_Connector.2FC.2B.2B_1.1.0_GA_.2813.09.2010.29
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Jul 28 2009 mhrusecky@suse.cz
- Better description (bnc#522682)
* Thu May 21 2009 mhrusecky@suse.cz
- updated to version 1.0.5
  * Changed the interface of sql::ConnectionMetaData, sql::ResultSetMetaData
    and sql::ParameterMetaData to have a protected destructor. In this way the
    client code doesn't need, and won't be able, to destruct the metadata
    objects returned by the connector. The connector will handle their
    destruction.  This enables statements like :
    connection->getMetaData->getSchema(); without the result of leaking memory
    because we lost the pointer returned by getMetaData().  (Lawrin, Andrey)
  * Large overhaul of the code to improve the memory management to not leak in
    exceptional situations. Big improvement compared to Beta1. (Andrey)
  * Fixed the interface of sql::Driver and sql::Connection so they accept the
    options map by alias instead of by value. (Andrey)
  * Changed the return type of sql::SQLException::getSQLState() from
    std::string to const char * to be consistent with std::exception::what().
    (Andrey)
  * Implemented getResultSetType() and setResultSetType() for Statement. Used
    are TYPE_FORWARD_ONLY, which means unbuffered result set and
    TYPE_SCROLL_INSENSITIVE, which means buffered result set. (Andrey)
  * Implemented getResultSetType() for PreparedStatement. The setter is not
    implemented because currently PreparedStatement can't do refetching and
    storing the result means the bind buffers will be correct. (Andrey)
  * Added "defaultStatementResultType" to MySQL_Connection::setClientOption()
    as an option. Also the method now returns `sql::Connection *`. (Andrey)
  * Added Result::getType() and implemented it in the three result set classes.
    (Andrey)
  * Enabled tracing functionality when building with VC8 and up (VS2005 and
    up). (Andrey)
  * Added better support for named pipes, on Windows. Use pipe:// and add the
    path to the pipe. Shared memory connections are currently not supported.
    (Andrey)
  * Fixed a bug in MySQL_Connection::setSessionVariable() which led to
    exception being thrown. (Andrey)
* Mon May 18 2009 mhrusecky@suse.cz
- fixed compilation using gcc44
* Fri Apr 17 2009 mhrusecky@suse.cz
- initial version of MySQL Connector/C++ package (version 1.0.4 beta)
